<?php

use App\Http\Controllers\Remarks\CreateRemarkController;
use App\Http\Controllers\Remarks\DeleteRemarkController;
use App\Http\Controllers\Remarks\FetchRemarkController;
use App\Http\Controllers\Remarks\ListRefundRemarksController;
use App\Http\Controllers\Remarks\ListRemarksController;
use App\Http\Controllers\Remarks\UpdateRemarkController;
use Illuminate\Support\Facades\Route;

Route::group(['as' => 'remark.', 'prefix' => 'remark'], function () {
    Route::get('/{id}/show', [FetchRemarkController::class, 'fetch'])->name('show');
    Route::get('/list', [ListRemarksController::class, 'list'])->name('list');
    Route::post('/{id}/create', [CreateRemarkController::class, 'create'])->name('create');
    Route::put('/update/{id}', [UpdateRemarkController::class, 'update'])->name('update');
    Route::delete('/delete/{id}', [DeleteRemarkController::class, 'delete'])->name('delete');

    Route::get('/list/refund-reasons', [ListRefundRemarksController::class, 'list'])->name('list.refund_reasons');
});
